## GUPnPDIDLLiteContributor GUPnPDIDLLiteContributor — DIDL-Lite Contributor |

## Functions

xmlNode * | gupnp_didl_lite_contributor_get_xml_node ()
const char * | gupnp_didl_lite_contributor_get_role ()
const char * | gupnp_didl_lite_contributor_get_name ()
void | gupnp_didl_lite_contributor_set_role ()
void | gupnp_didl_lite_contributor_set_name ()

## Types and Values

| GUPnPDIDLLiteContributor

## Description

GUPnPDIDLLiteContributor respresents a contributor (artist, author, actor, producer, director, producer and contributor) property in a DIDL-Lite object.

## Functions

### gupnp_didl_lite_contributor_get_xml_node ()

    xmlNode *
    gupnp_didl_lite_contributor_get_xml_node
                                   (GUPnPDIDLLiteContributor *contributor);

Get the pointer to relevant node in XML document.

#### Parameters

contributor | The GUPnPDIDLLiteContributor |

#### Returns

The pointer to relevant node in XML document.

[transfer none]

### gupnp_didl_lite_contributor_get_role ()

    const char *
    gupnp_didl_lite_contributor_get_role (GUPnPDIDLLiteContributor *contributor);

Get the role of the `contributor` .

#### Parameters

contributor | GUPnPDIDLLiteContributor |

#### Returns

The role of the `contributor` , or `NULL`.

### gupnp_didl_lite_contributor_get_name ()

    const char *
    gupnp_didl_lite_contributor_get_name (GUPnPDIDLLiteContributor *contributor);

Get the name of the `contributor` .

#### Parameters

contributor | A GUPnPDIDLLiteContributor |

#### Returns

The name of the `contributor` or `NULL`.

### gupnp_didl_lite_contributor_set_role ()

    void
    gupnp_didl_lite_contributor_set_role (GUPnPDIDLLiteContributor *contributor,
                                          const char *role);

Set the role of the `contributor` to `role` .

#### Parameters

contributor | GUPnPDIDLLiteContributor |
role | The role of the `contributor` |

### gupnp_didl_lite_contributor_set_name ()

    void
    gupnp_didl_lite_contributor_set_name (GUPnPDIDLLiteContributor *contributor,
                                          const char *name);

Set the name of the `contributor` to `name` .

#### Parameters

contributor | A GUPnPDIDLLiteContributor |
name | The name of the contributor |

## Types and Values

### GUPnPDIDLLiteContributor

    typedef struct {
            GObject parent;

            GUPnPDIDLLiteContributorPrivate *priv;
    } GUPnPDIDLLiteContributor;